#
# spec file for package sonnet
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define sonum   5
%define _tar_path 5.42
# Full KF5 version (e.g. 5.33.0)
%{!?_kf5_version: %global _kf5_version %{version}}
# Last major and minor KF5 version (e.g. 5.33)
%{!?_kf5_bugfix_version: %global _kf5_bugfix_version %(echo %{_kf5_version} | awk -F. '{print $1"."$2}')}
Name:           sonnet
Version:        5.42.0
Release:        0
#BuildRequires:  aspell-devel
BuildRequires:  cmake >= 3.0
# Enchant plugin is currently disabled upstream
#BuildRequires:  enchant-devel
BuildRequires:  extra-cmake-modules >= %{_kf5_bugfix_version}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.6.0
%endif
BuildRequires:  myspell-dictionaries
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  pkgconfig(hunspell)
Summary:        KDE spell checking library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package -n libKF5SonnetCore%sonum
Summary:        KDE spell checking library
Group:          System/GUI/KDE
Requires:       %{name} >= %{_kf5_bugfix_version}
Obsoletes:      libKF5SonnetCore4
%if %{with lang}
Recommends:     libKF5SonnetCore%sonum-lang = %{version}
%endif
%requires_ge libQt5Core5

%description -n libKF5SonnetCore%sonum
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package -n libKF5SonnetUi%sonum
Summary:        KDE spell checking library
Group:          System/GUI/KDE
%requires_ge libQt5Gui5
%requires_ge libQt5Widgets5
%requires_ge libKF5SonnetCore5

%description -n libKF5SonnetUi%sonum
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL.

%package devel
Summary:        KDE spell checking library: Build Environment
Group:          Development/Libraries/KDE
Requires:       extra-cmake-modules
Requires:       libKF5SonnetCore%sonum = %{version}
Requires:       libKF5SonnetUi%sonum = %{version}
Requires:       cmake(Qt5Core) >= 5.6.0

%description devel
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including
HSpell, Enchant, ASpell and HUNSPELL. Development files.

%lang_package -n libKF5SonnetCore%sonum
%prep
%setup -q

%build
  %cmake_kf5 -d build -- -Dlconvert_executable=%{_kf5_libdir}/qt5/bin/lconvert
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5 --with-qt --without-mo
%endif

%post -n libKF5SonnetCore%sonum -p /sbin/ldconfig

%postun -n libKF5SonnetCore%sonum -p /sbin/ldconfig

%post -n libKF5SonnetUi%sonum -p /sbin/ldconfig

%postun -n libKF5SonnetUi%sonum -p /sbin/ldconfig

%if %{with lang}
%files -n libKF5SonnetCore%sonum-lang -f %{name}5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%config %{_kf5_configdir}/sonnet.categories
%{_kf5_plugindir}/
%{_kf5_datadir}/sonnet/

%files -n libKF5SonnetCore%sonum
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5SonnetCore.so.*

%files -n libKF5SonnetUi%sonum
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5SonnetUi.so.*

%files devel
%defattr(-,root,root)
%{_kf5_bindir}/parsetrigrams
%{_kf5_bindir}/gentrigrams
%{_kf5_libdir}/libKF5SonnetCore.so
%{_kf5_libdir}/libKF5SonnetUi.so
%{_kf5_libdir}/cmake/KF5Sonnet/
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_Sonnet*.pri

%changelog
